MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004149ATutorContentpublic2010-03-08 08:142010-05-02 15:28
Reportercindy 
Assigned Tocindy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0004149: Simplify A4A page: "edit content" => "adapted content"
DescriptionRe-do A4A page: "edit content" => "adapted content" to make it easier to use.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004076)
cindy (administrator)
2010-03-08 08:20

SVN revision: 9455

Solution: develop a new interface with ajax calls to add/edit/remove alternative content objects.

1. New scripts:
mods/_core/editor/remove_alternative.php
mods/_core/editor/save_alternative.php
These scripts handle ajax calls from interface to add/edit/remove alternative content objects.

2. Deleted script:
mods/_core/editor/editor_tabs/alternatives_functions.inc.php Not in use any more in the new interface

3. Modified script:
mods/_core/editor/edit_content.php
mods/_core/editor/editor_tab_functions.inc.php
mods/_core/editor/editor_tabs/alternatives.inc.php
mods/_core/file_manager/delete.php
mods/_core/file_manager/filemanager_display.inc.php
mods/_core/file_manager/move.php
mods/_core/file_manager/rename.php
mods/_core/file_manager/top.php
mods/_core/file_manager/upload.php
(0004098)
cindy (administrator)
2010-03-18 10:51

Add in the notes of the missing script that are deleted: mods/_core/file_manager/filemanager_display_alternatives.inc.php
(0004099)
cindy (administrator)
2010-03-18 10:52

SVN revision: 9538

Deleted script: mods/_core/file_manager/filemanager_display_alternatives.inc.php

- Issue History
Date Modified Username Field Change
2010-03-08 08:14 cindy New Issue
2010-03-08 08:14 cindy Affects version => SVN
2010-03-08 08:20 cindy Status new => resolved
2010-03-08 08:20 cindy Fixed in Version => 2.0
2010-03-08 08:20 cindy Resolution open => fixed
2010-03-08 08:20 cindy Assigned To => cindy
2010-03-08 08:20 cindy Note Added: 0004076
2010-03-18 10:51 cindy Status resolved => feedback
2010-03-18 10:51 cindy Resolution fixed => reopened
2010-03-18 10:51 cindy Note Added: 0004098
2010-03-18 10:52 cindy Status feedback => resolved
2010-03-18 10:52 cindy Resolution reopened => fixed
2010-03-18 10:52 cindy Note Added: 0004099
2010-05-02 15:28 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker